import request from '@/utils/request'

// 查询直播抽奖登记列表
export function listLiveLotteryRegistration(query) {
  return request({
    url: '/live/liveLotteryRegistration/list',
    method: 'get',
    params: query
  })
}

// 查询直播抽奖登记详细
export function getLiveLotteryRegistration(registrationId) {
  return request({
    url: '/live/liveLotteryRegistration/' + registrationId,
    method: 'get'
  })
}

// 新增直播抽奖登记
export function addLiveLotteryRegistration(data) {
  return request({
    url: '/live/liveLotteryRegistration',
    method: 'post',
    data: data
  })
}

// 修改直播抽奖登记
export function updateLiveLotteryRegistration(data) {
  return request({
    url: '/live/liveLotteryRegistration',
    method: 'put',
    data: data
  })
}

// 删除直播抽奖登记
export function delLiveLotteryRegistration(registrationId) {
  return request({
    url: '/live/liveLotteryRegistration/' + registrationId,
    method: 'delete'
  })
}

// 导出直播抽奖登记
export function exportLiveLotteryRegistration(query) {
  return request({
    url: '/live/liveLotteryRegistration/export',
    method: 'get',
    params: query
  })
}
